/* $Id: test_af.c 609 2015-11-20 02:28:12Z bhockney $ */

/*  test_af prints the value of named constants AF_INET and AF_INET6 */

#include <unistd.h>

#include <main.h>

int main (int argc, char **argv) {
	int iopt;

	while ((iopt = getopt(argc, argv, "46H")) != EOF) {
		switch (iopt) {
		case '4':
			printf ("%d", AF_INET);
			break;
		case '6':
#ifdef HAVE_INET_NTOP
			printf ("%d", AF_INET6);
#endif
			break;
		case 'H':
			puts ("Usage:");
			puts ("  -4  Print value for AF_INET");
#ifdef HAVE_INET_NTOP
			puts ("  -6  Print value for AF_INET6");
#endif
			puts ("  -H  This help");
			break;
		}
	}

	exit (0);
}

/* vim:set ts=4: */
